--- a/cmake/CubCudaConfig.cmake
+++ b/cmake/CubCudaConfig.cmake
@@ -25,7 +25,7 @@ if (CUB_IN_THRUST)
   endforeach()
 
   # Otherwise create cache options and build the flags ourselves:
-else() # NOT CUB_IN_THRUST
+elseif(0) # NOT CUB_IN_THRUST
 
   # Find the highest arch:
   list(SORT all_archs)
@@ -91,7 +91,7 @@ else() # NOT CUB_IN_THRUST
   string(APPEND CMAKE_CUDA_FLAGS "${arch_flags}")
 endif()
 
-message(STATUS ${arch_message})
+# message(STATUS ${arch_message})
 
 #
 # RDC options:
